Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 620191 - Review Request: clawsker - Dialog to edit Claws Mail's hidden preferences
Review Request: clawsker - Dialog to edit Claws Mail's hidden preferences
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-01 09:38 EDT by Christoph Wickert
Modified: 2011-02-05 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version: clawsker-0.7.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-27 21:38:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2010-08-01 09:38:20 EDT
Spec URL: http://cwickert.fedorapeople.org/review/clawsker.spec
SRPM URL: http://cwickert.fedorapeople.org/review/clawsker-0.7.2-1.fc14.src.rpm
Description: Clawsker is a Perl-GTK2 applet to edit hidden preferences for Claws Mail, and to do it in a safe and user friendly way, preventing users from raw editing of configuration files.

Claws Mail is a fast and lightweight Mail User Agent by the Claws Mail Team.
Comment 1 Germán Racca 2010-09-04 04:36:17 EDT
Hi Christoph:

I've seen the source code of this package, and I'm a bit confused here about what version of GPL this program is licensed under. Only 'COPYING' is included in the tarball and no more information in the file source.

If you can clarify this, maybe I can reviwe this package for you :)

Cheers,
Germán.
Comment 2 Christoph Wickert 2010-09-04 04:51:59 EDT
Thanks Germán,

the COPYING included is GPLv3 and usually this means GPLv3+, see paragraph 14 of the license text. Nevertheless I have mailed upstream and asked him to clarify. Stay tuned...
Comment 3 Christoph Wickert 2010-09-05 08:16:59 EDT
Upstream confirmed it's GPLv3+ as written in the 'Info' dialog.
Comment 4 Jason Tibbitts 2010-12-01 23:26:10 EST
Germán, did you intend to review this package?
Comment 5 Germán Racca 2010-12-01 23:48:45 EST
(In reply to comment #4)
> Germán, did you intend to review this package?

Jason: I'm out of time by the moment, so feel free to take it :)

Christoph: sorry for not reviewing this package :(
Comment 6 Jason Tibbitts 2010-12-03 09:28:18 EST
Germán, just so you know, I'm trying to find people to review packages.  I haven't the time to review all of them myself.
Comment 7 Michael Schwendt 2010-12-23 14:44:39 EST
> Requires:       perl(Gtk2)
> Requires:       perl(Locale::gettext)

Aren't these added automatically?

$ rpm -qR clawsker|grep ^perl
perl(Glib)  
perl(Gtk2)  
perl(Gtk2)  
perl(Locale::gettext)  
perl(Locale::gettext)  
perl(POSIX)  
perl(constant)  
perl(encoding)  
perl(strict)  


> Source1:        %{name}.desktop

It's surprisingly well-hidden in the  System > Preferences  menu, which IMO is the wrong location for an application. Yes, it is an application. An application which does nothing else than editing another application's configuration file. It doesn't do anything related to the system environment. It should go into the  Applications > Internet  menu where Claws Mail is found, too.
Comment 8 Christoph Wickert 2011-01-08 19:47:18 EST
(In reply to comment #7)
> > Requires:       perl(Gtk2)
> > Requires:       perl(Locale::gettext)
> 
> Aren't these added automatically?

Yes, I can remove them.

> It's surprisingly well-hidden in the  System > Preferences  menu, which IMO is
> the wrong location for an application. Yes, it is an application. An
> application which does nothing else than editing another application's
> configuration file. 

Strictly speaking gnome-*-properties and alike are applications, too (where application means binary). Just like clawsker they are a dialog to configure something.

An application (where application means something that is in the 'Applications' menu) is to do a certain task, to enable the user to do something, e.g. browse the web, write a text or burn a CD, but not to configure something. Applications have purpose that is not related to the software while preferences are ends in themselves.

> It doesn't do anything related to the system environment.

That's why it's in 'Preferences' and not in 'Administration'.

> It should go into the  Applications > Internet  menu where Claws Mail is found,
> too.

I don't think so. First of all it is a settings dialog and second, clawsker and claws mail cannot run at the same time. I'm afraid adding it to the applications menu will be misleading and make people accidentally click one or the other.

This being said I have no intentions to change the location.
Comment 9 Jason Tibbitts 2011-01-14 10:16:47 EST
Did you intend to update the package?  I had a few minutes to review this, but it doesn't seem that the package has been updated.
Comment 10 Christoph Wickert 2011-01-14 10:38:19 EST
No, I did not yet update the package, I first wanted to sort out the question with the menu. I did however update the spec and test that the perl requirements are automatically found by rpm.

As I'm currently in hospital and have a slow internet connection only I'd appreciate if you could continue with the review based on the old package and the updated spec for now. The spec is available at
http://cwickert.fedorapeople.org/review/clawsker.spec
Comment 12 Jason Tibbitts 2011-01-27 18:13:14 EST
Builds fine and rpmlint is silent.

If you don't want this on el4 or el5 you can do the usual removal of the buildroot cleaning stuff.

I tried this out but as I'm not a claws user is doesn't do all that much for me.  However, it does at least start.

Honestly I see nothing wrong here.  I don't see any particular problem with the location of the package in the menus.

* source files match upstream.  sha256sum:
  f19720da0f7f33478394519e804db6c21c415f9fdbc567970f2394df668baa8c
   clawsker-0.7.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   clawsker = 0.7.2-2.fc15
  =
   /usr/bin/perl  
   claws-mail  
   perl(Glib)  
   perl(Gtk2)  
   perl(Locale::gettext)  
   perl(POSIX)  
   perl(constant)  
   perl(encoding)  
   perl(strict)  

* no bundled libraries.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* desktop files valid and installed properly.

APPROVED
Comment 13 Christoph Wickert 2011-01-27 21:05:30 EST
Thanks for the review!

New Package SCM Request
=======================
Package Name: clawsker
Short Description: Dialog to edit Claws Mail's hidden preferences
Owners: cwickert
Branches: f13 f14
InitialCC:
Comment 14 Jason Tibbitts 2011-01-27 21:14:52 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2011-01-27 21:36:52 EST
clawsker-0.7.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/clawsker-0.7.2-2.fc14
Comment 16 Fedora Update System 2011-01-27 21:37:00 EST
clawsker-0.7.2-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/clawsker-0.7.2-2.fc13
Comment 17 Fedora Update System 2011-02-05 17:19:46 EST
clawsker-0.7.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2011-02-05 17:21:06 EST
clawsker-0.7.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.